Synq Docs
Account APIConsents

The apps the signed-in person allowed

What they allowed each app that isn't the brand's own, oldest first: signing in to it again doesn't ask again for that. Needs `me:read`.

GET/v1/consents

What they allowed each app that isn't the brand's own, oldest first: signing in to it again doesn't ask again for that. Needs me:read.

Authorization

bearer
AuthorizationBearer <token>

An access token from this issuer for its account API (resource=<issuer>/me).

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/consents"
{  "data": [    {      "id": "string",      "app": {        "client_id": "string",        "name": "string"      },      "scopes": [        "string"      ],      "claims": [        "string"      ],      "apis": [        {          "identifier": "string",          "scopes": [            "string"          ]        }      ],      "allowed_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}